Bug 1478770 (CVE-2017-7554) - CVE-2017-7554 RHMAP: Stored XSS in App Store
Summary: CVE-2017-7554 RHMAP: Stored XSS in App Store
Status: CLOSED NEXTRELEASE
Alias: CVE-2017-7554
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170911,repor...
Keywords: Security
Depends On:
Blocks: 1461341
TreeView+ depends on / blocked
 
Reported: 2017-08-07 02:05 UTC by Jason Shepherd
Modified: 2019-06-08 22:12 UTC (History)
15 users (show)

(edit)
A flaw was found where the App Studio component of RHMAP 4.4 executes javascript provided by a user. An attacker could use this flaw to execute a stored XSS attack on an application administrator using App Studio.
Clone Of:
(edit)
Last Closed: 2017-08-20 22:48:29 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2674 normal SHIPPED_LIVE Important: Red Hat Mobile Application Platform security update 2017-09-18 13:00:07 UTC
Red Hat Product Errata RHSA-2017:2675 normal SHIPPED_LIVE Important: Red Hat Mobile Application Platform security update 2017-09-18 11:19:55 UTC

Description Jason Shepherd 2017-08-07 02:05:49 UTC
It was found that the App Studio component of RHMAP 4.4 executes javascript provided by a user. An attacker could use this flaw to execute a stored XSS attack on an application administrator using App Studio.

Comment 1 Jason Shepherd 2017-08-07 02:05:55 UTC
Acknowledgments:

Name: Tomas Rzepka

Comment 3 Jason Shepherd 2017-08-20 22:48:29 UTC
Fixed in 4.5.0

Comment 6 errata-xmlrpc 2017-09-18 06:33:28 UTC
This issue has been addressed in the following products:

  Red Hat Mobile Application Platform 4.5

Via RHSA-2017:2675 https://access.redhat.com/errata/RHSA-2017:2675

Comment 7 errata-xmlrpc 2017-09-18 09:01:29 UTC
This issue has been addressed in the following products:

  Red Hat Mobile Application Platform 4.5

Via RHSA-2017:2674 https://access.redhat.com/errata/RHSA-2017:2674


Note You need to log in before you can comment on or make changes to this bug.